<!DOCTYPE html>
<html lang="en">
    <head>
        <title id="loginTitle">Tablab - Login</title>
		
        <% include ./partials/head %>		

        <link rel='stylesheet' href="/css/signin_reg.css" />
        <link rel='stylesheet' href="/css/loader.css" />

        <style>
            h3 {
                margin: 1em 0 0.5em 0;
                font-weight: 600;
                position: relative;
                font-size: 32px;
                line-height: 40px;
                padding: 15px 15px 15px 15px;
                color: #355681;
                box-shadow: inset 0 0 0 1px rgba(53,86,129, 0.4), inset 0 0 5px rgba(53,86,129, 0.5), inset -285px 0 35px white;
                border-radius: 10px 10px 0 0px;
            }
        </style>
    </head>

    <body>
        <% include ./partials/reportsHeader %>

<!--
        <button style="display:none">
            <a href="/test/testMailForProjectAssignment?email=sandeep@idreameducation.org&username=San&projectName=Project">Click</a>
        </button>
-->
        <div class="overlay" id="loader" style="display:none;">
            <div class="loader">Loading...</div>
        </div>

        <input id="backendInitialRoute" type="hidden" value="<%= backendInitialRoute%>">

        <div class="container">
            <div class="row">
                <div class="col-md-8 col-md-offset-2" style="text-align:center;">
                    <h3>WELCOME TO TABLAB REPORTS</h3>
                </div>
                <div class="col-md-8 col-md-offset-2">
                    <div class="panel panel-login">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-12">
                                    <a href="#" class="active" id="login-form-link">Login</a>
                                </div>
                            </div>
                            <hr>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div id="login-form" role="form" style="display: block;">
                                        <div class="form-group">
                                            <input type="email" name="email" id="email" tabindex="1" class="form-control" placeholder="Enter Email Address" value="" required>
                                        </div>
                                        <div class="form-group">
                                            <input type="password" name="password" id="password" tabindex="1" class="form-control" placeholder="Enter Password" value="">
                                        </div>
                                        <div class="form-group">
                                            <div class="row">
                                                <div class="col-sm-6 col-sm-offset-3">
                                                    <input type="submit" name="login-submit" id="login-submit" tabindex="4" class="form-control btn btn-login" value="Login">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
							
                        </div>
						<div class="form-group">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="text-center">
                                                        <a id="forgotPassword" tabindex="5" class="forgot-password">Forgot Password?</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                    </div>
                </div>
            </div>
        </div>
		<div id="provideEmailModal" class="modal fade" role="dialog">
            <div class="modal-dialog">
                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Enter your registered email address</h4>
                    </div>
                    <div class="modal-body">
                        <form onsubmit="event.preventDefault(); return  sendForgotPasswordEmail(this)">
                            <div class="form-group row">
                                <div class="col-md-6 col-md-offset-3">
                                    <input required type="email" class="form-control" placeholder="Enter email"/>
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-md-4 col-md-offset-4">
                                    <input type="submit" class="form-control btn btn-default" value="Submit"/>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <script src='/js/3-6-10-firebase.js'></script>
        <script src='/js/functions.js'></script>
        <script src='/js/loginHandler.js'></script>
        <script src='/js/login.js'></script>
		<script>
		   $('#forgotPassword').on('click', (e) => {
        $('#provideEmailModal').modal('show');
    });
	
	    function sendForgotPasswordEmail(target) {
		//target.preventDefault();
        var email = $($(target).find('input[type=email]')[0]).val();
        var actionCodeSettings = {
            url: `https://tablab-replica.herokuapp.com/`,
            handleCodeInApp: true
        };
 console.log(email);
        firebase.auth().sendPasswordResetEmail(email).then(function() {
            alert(`An email has been sent to ${email} address`);
			 $('#provideEmailModal').modal('hide');
        }).catch(function (error) {
           // console.log('error', error);
            alert(`${error.message}.`);
        });
        //return false;
    }
		</script>
    </body>
</html>